Bug 125017 - remove +FCLASS=0 from wvdial INIT2 string
remove +FCLASS=0 from wvdial INIT2 string
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
bzcl34nup
:
Depends On:
Blocks: rcn-modem
  Show dependency treegraph
 
Reported: 2004-06-02 04:46 EDT by Masakazu Takahashi
Modified: 2008-05-06 19:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 19:59:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Masakazu Takahashi 2004-06-02 04:46:33 EDT
Description of problem:
In Japan, "PHS" (Persolal Handy-phone System, a kind of mobile phone
service) is popular for data connection.  And one-card type tranceiver
of PHS is populer, too.

Some PHS modem card can't recognize following AT commands:

* ATM<n>
* +FCLASS=0

system-config-network always writes these AT commands 
to /etc/wvdial.conf.
So, they cause error.

1) ATM<n>
I can change ATM<n> command from modem volume option, but can't 
remove it
from "Init3 =" of "[Modem<n>]" section.  system-config-network writes
"Init3 =" of "[Dialer XXX]" by setting initial string option.  But 
setting
initial string to override volume command is too tribial.

2) +FCLASS=0
system-config-network writes "ATQ0 V1 E1 S0=0 &C1 &D2 +FCLASS=0" in
"Init2 =" of "[Dialer XXX]" section, but can't change this.


Version-Release number of selected component (if applicable):
1.3.16

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Following patch is quick hack for this.


diff -c -r system-config-network-1.3.16/src/netconfpkg/NCDialup.py 
system-config-network-1.3.16-a/src/netconfpkg/NCDialup.py
*** system-config-network-1.3.16/src/netconfpkg/NCDialup.py	2004-
03-04 23:36:59.000000000 +0900
--- system-config-network-1.3.16-a/src/netconfpkg/NCDialup.py	2004-
05-31 21:38:22.111460616 +0900
***************
*** 615,621 ****
          if not conf[sectname].has_key('Init1'):
              conf[sectname]['Init1'] = 'ATZ'
          if not conf[sectname].has_key('Init2'):
!             conf[sectname]['Init2'] = 'ATQ0 V1 E1 S0=0 &C1 &D2 
+FCLASS=0'
          if self.InitString:
              conf[sectname]['Init3'] = str(self.InitString)
          #else: del conf[sectname]['Init3'] 
--- 615,621 ----
          if not conf[sectname].has_key('Init1'):
              conf[sectname]['Init1'] = 'ATZ'
          if not conf[sectname].has_key('Init2'):
!             conf[sectname]['Init2'] = 'ATQ0 V1 E1 S0=0 &C1 &D2'
          if self.InitString:
              conf[sectname]['Init3'] = str(self.InitString)
          #else: del conf[sectname]['Init3'] 
diff -c -r system-config-network-
1.3.16/src/netconfpkg/gui/modemconfig.glade system-config-network-
1.3.16-a/src/netconfpkg/gui/modemconfig.glade
*** system-config-network-1.3.16/src/netconfpkg/gui/modemconfig.glade
	2003-11-25 17:33:51.000000000 +0900
--- system-config-network-1.3.16-
a/src/netconfpkg/gui/modemconfig.glade	2004-05-28 20:25:45.000000000 
+0900
***************
*** 688,693 ****
--- 688,700 ----
                              <property name="visible">yes</property>
                            </widget>
                          </child>
+ 
+                         <child>
+                           <widget class="GtkMenuItem" 
id="convertwidget58">
+                             <property name="label" 
translatable="yes">None</property>
+                             <property name="visible">yes</property>
+                           </widget>
+                         </child>
                        </widget>
                      </child>
                    </widget>
diff -c -r system-config-network-
1.3.16/src/netconfpkg/gui/modemconfig.py system-config-network-1.3.16-
a/src/netconfpkg/gui/modemconfig.py
*** system-config-network-1.3.16/src/netconfpkg/gui/modemconfig.py
	2003-07-08 18:45:48.000000000 +0900
--- system-config-network-1.3.16-a/src/netconfpkg/gui/modemconfig.py
	2004-05-28 23:18:42.000000000 +0900
***************
*** 147,152 ****
--- 147,154 ----
              self.hw.Modem.ModemVolume = 3
          elif Item == _("Very High"):
              self.hw.Modem.ModemVolume = 4
+         elif Item == _("None"):
+             self.hw.Modem.ModemVolume = 5
          else:
              self.hw.Modem.ModemVolume = 0
              
diff -c -r system-config-network-
1.3.16/src/netconfpkg/plugins/NCHWModem.py system-config-network-
1.3.16-a/src/netconfpkg/plugins/NCHWModem.py
*** system-config-network-1.3.16/src/netconfpkg/plugins/NCHWModem.py
	2003-10-09 00:18:17.000000000 +0900
--- system-config-network-1.3.16-a/src/netconfpkg/plugins/NCHWModem.py
	2004-05-31 16:08:05.000000000 +0900
***************
*** 53,58 ****
--- 53,60 ----
        wvdial[self.Name]['Init1'] = str(self.Modem.InitString)
        if self.Modem.ModemVolume == 0:
           wvdial[self.Name]['Init3'] = 'ATM0'
+       elif self.Modem.ModemVolume == 5:
+          wvdial[self.Name]['Init3'] = ' ';
        else:
           wvdial[self.Name]['Init3'] = 'ATM1L' + str
(self.Modem.ModemVolume)
Comment 1 Matthew Miller 2005-04-26 11:05:48 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 Bug Zapper 2008-04-03 11:36:03 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Bug Zapper 2008-05-06 19:59:31 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.